## gst-plugins-base1.0 1.16.3

=== debian/changelog ===
gst-plugins-base1.0 (1.16.3-0ubuntu1.4) focal-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/202412-sec*.patch: backport upstream security fix
      commits from 1.24.10.
    - CVE-2024-47538, CVE-2024-47541, CVE-2024-47542, CVE-2024-47600,
      CVE-2024-47607, CVE-2024-47615, CVE-2024-47835

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:24:56 -0500

gst-plugins-base1.0 (1.16.3-0ubuntu1.3) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-4453.patch: Prevent integer overflows and out of bounds reads
      when handling undefined tags in gst-libs/gst/tag/gstexiftag.c.
    - CVE-2024-4453

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 27 May 2024 11:33:57 -0300

gst-plugins-base1.0 (1.16.3-0ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: Heap overwrite in subtitle parsing
    - debian/patches/CVE-2023-37328-1.patch: look for the closing > of a
      tag after the opening < in gst/subparse/gstsubparse.c.
    - debian/patches/CVE-2023-37328-2.patch: skip after the end of a valid
      closing tag in gst/subparse/gstsubparse.c.
    - CVE-2023-37328
  * SECURITY UPDATE: Integer overflow leading to heap overwrite in FLAC
    image tag handling
    - debian/patches/CVE-2023-37327-2.patch: don't allow image tags with
      G_MAXUINT32 length in gst-libs/gst/tag/tags.c.
    - CVE-2023-37327

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Aug 2023 08:26:56 -0400

gst-plugins-base1.0 (1.16.3-0ubuntu1.1) focal-security; urgency=medium

  * Build no change

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 26 Jul 2022 08:31:19 -0300

gst-plugins-base1.0 (1.16.3-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1962135), requires gstreamer 1.16.3

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Mar 2022 11:33:10 +0100

gst-plugins-base1.0 (1.16.2-4ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Invalid reads
    - debian/patches/CVE-2021-3522.patch:  fix frame size check and potential invalid reads
      in  gst-libs/gst/tag/id3v2frames.c.
    - CVE-2021-3522

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 06 May 2021 14:30:02 -0300
