## gst-plugins-base1.0 1.18.0

=== debian/changelog ===
gst-plugins-base1.0 (1.18.0-2ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Invalid reads
    - debian/patches/CVE-2021-3522.patch:  fix frame size check and potential invalid reads
      in  gst-libs/gst/tag/id3v2frames.c.
    - CVE-2021-3522

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 06 May 2021 14:10:18 -0300

gst-plugins-base1.0 (1.18.0-2) unstable; urgency=medium

  * debian/rules:
    + Add `--with gir` to generate correct dependencies. Thanks to Ken VanDine.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 15:08:40 +0300

gst-plugins-base1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable (Closes: #963307).
  * debian/control:
    + (Build-) Depend on the vendor neutral GL header packages (Closes: #945967).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 11:00:08 +0300

gst-plugins-base1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 13:18:51 +0300

gst-plugins-base1.0 (1.17.2-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control:
    + Add build-dependency on libbrotli-dev to workaround missing dependency
      on it in libfreetype-dev.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 03 Jul 2020 09:19:32 +0300

gst-plugins-base1.0 (1.17.1-1) experimental; urgency=medium

  * New upstream development release.
  * Completely redo and modernize the packaging.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 29 Jun 2020 16:43:06 +0300
