=== debian/control ===
--- 
+++ 
@@ -5,8 +5,47 @@
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: libgstreamer1.0-dev (>= 1.16.3), libasound2-dev (>= 0.9.0) [linux-any] , libgudev-1.0-dev (>= 143) [linux-any] , libwayland-dev (>= 1.4.0) [linux-any] , libdrm-dev (>= 2.4.55) [linux-any] , libgbm-dev [linux-any] , wayland-protocols (>= 1.4) [linux-any], autotools-dev, automake (>= 1.14), autoconf (>= 2.69), libtool (>= 2.2.6), dh-autoreconf, autopoint (>= 0.17), cdbs (>= 0.4.93~), debhelper (>= 9), gnome-pkg-tools (>= 0.7), gtk-doc-tools (>= 1.12), pkg-config (>= 0.11.0), libx11-xcb-dev, libxv-dev (>= 6.8.2.dfsg.1-3), libxt-dev (>= 6.8.2.dfsg.1-3), libvorbis-dev (>= 1.0.0-2), libcdparanoia-dev (>= 3.10.2) [!hurd-i386], liborc-0.4-dev (>= 1:0.4.24), libpango1.0-dev (>= 1.16.0), libtheora-dev (>= 1.1), libglib2.0-dev (>= 2.40), zlib1g-dev (>= 1:1.1.4), libvisual-0.4-dev (>= 0.4.0), dpkg-dev (>= 1.15.1), iso-codes, libgtk-3-dev (>= 3.10), libglib2.0-doc, gstreamer1.0-doc, libgirepository1.0-dev (>= 0.9.12-4~), gobject-introspection (>= 0.9.12-4~), gir1.2-glib-2.0, gir1.2-freedesktop, gir1.2-gstreamer-1.0, zlib1g-dev, libopus-dev (>= 0.9.4), libgl1-mesa-dev, libegl1-mesa-dev, libgles2-mesa-dev, libgraphene-1.0-dev, libpng-dev, libjpeg-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper,
+               debhelper-compat (= 13),
+               dpkg-dev (>= 1.15.1),
+               pkg-config (>= 0.11.0),
+               meson (>= 0.48),
+               xvfb,
+               xauth,
+               libglib2.0-dev (>= 2.44),
+               libgstreamer1.0-dev (>= 1.18.0),
+               liborc-0.4-dev (>= 1:0.4.24),
+               zlib1g-dev (>= 1:1.1.4),
+               libgl-dev,
+               libegl-dev,
+               libgles-dev,
+               libgraphene-1.0-dev,
+               libtheora-dev (>= 1.1),
+               libvorbis-dev (>= 1.3.1),
+               libopus-dev (>= 0.9.4),
+               libogg-dev (>= 1.0),
+               libpango1.0-dev (>= 1.22),
+               libbrotli-dev,
+               libpng-dev,
+               libjpeg-dev,
+               libcdparanoia-dev (>= 3.10.2) [!hurd-i386],
+               libvisual-0.4-dev (>= 0.4.0),
+               libx11-xcb-dev,
+               libxv-dev (>= 6.8.2.dfsg.1-3),
+               libxt-dev (>= 6.8.2.dfsg.1-3),
+               libasound2-dev (>= 0.9.1) [linux-any],
+               libdrm-dev (>= 2.4.55) [linux-any],
+               libgbm-dev [linux-any],
+               libgudev-1.0-dev (>= 147) [linux-any],
+               libwayland-dev (>= 1.11) [linux-any],
+               wayland-protocols (>= 1.15) [linux-any],
+               iso-codes,
+               libgirepository1.0-dev (>= 0.9.12-4~),
+               gobject-introspection (>= 0.9.12-4~),
+               gir1.2-glib-2.0,
+               gir1.2-freedesktop,
+               gir1.2-gstreamer-1.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -28,24 +67,6 @@
  .
  This package contains helper programs from the "base" set, an essential
  exemplary set of elements.
-
-Package: gstreamer1.0-plugins-base-doc
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: ${misc:Depends},
-         libglib2.0-doc,
-         gstreamer1.0-doc
-Description: GStreamer documentation for plugins from the "base" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains documentation for plugins from the "base" set,
- an essential exemplary set of elements.
 
 Package: libgstreamer-plugins-base1.0-0
 Architecture: any
@@ -82,12 +103,12 @@
          libgstreamer-gl1.0-0 (= ${binary:Version}),
          libc6-dev | libc-dev,
          pkg-config,
-         libgstreamer1.0-dev (>= 1.16.3),
+         libgstreamer1.0-dev (>= 1.16.2),
          libglib2.0-dev,
          liborc-0.4-dev (>= 1:0.4.24),
-         libgl1-mesa-dev,
-         libegl1-mesa-dev,
-         libgles2-mesa-dev,
+         libgl-dev,
+         libegl-dev,
+         libgles-dev,
          libx11-xcb-dev,
          gir1.2-gst-plugins-base-1.0 (= ${binary:Version})
 Breaks: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
@@ -129,7 +150,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.16.3)
+         libgstreamer-plugins-base1.0-0 (>= 1.18.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -155,7 +176,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.16.3)
+         libgstreamer-plugins-base1.0-0 (>= 1.18.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -177,38 +198,13 @@
  This package contains the GStreamer plugins from the "base" set, an
  essential exemplary set of elements.
 
-Package: gstreamer1.0-plugins-base-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: gstreamer1.0-alsa (= ${binary:Version}) [linux-any],
-         gstreamer1.0-plugins-base (= ${binary:Version}),
-         gstreamer1.0-x (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-0 (= ${binary:Version}),
-         ${misc:Depends}
-Breaks: gstreamer1.0-plugins-bad-dbg (<< 1.15.1)
-Replaces: gstreamer1.0-plugins-bad-dbg (<< 1.15.1)
-Description: GStreamer plugins from the "base" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains unstripped shared libraries. It is provided primarily
- to provide a backtrace with names in a debugger, this makes it somewhat
- easier to interpret core dumps. The libraries are installed in
- /usr/lib/debug and are automatically used by gdb.
-
 Package: gstreamer1.0-x
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.16.3)
+         libgstreamer-plugins-base1.0-0 (>= 1.18.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -234,8 +230,8 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.16.3),
-         libgstreamer-gl1.0-0 (>= 1.16.3)
+         libgstreamer-plugins-base1.0-0 (>= 1.18.0),
+         libgstreamer-gl1.0-0 (>= 1.18.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -262,3 +258,17 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Description: GObject introspection data for the GStreamer Plugins Base library
+ This package contains introspection data for the GStreamer Plugins Base library.
+ .
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
+
