## gst-plugins-base1.0 1.18.4

=== debian/changelog ===
gst-plugins-base1.0 (1.18.4-2+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team
  * Fix DoS via stack overflow in subparse plugin
    - debian/patches/CVE-2025-47806.patch: make sure that subrip time
      string is not too long before zero-padding in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47806
  * Fix DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47807.patch: check for valid UTF-8 before
      cleaning up lines and check for regex replace errors in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47807
  * Fix DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47808.patch: don't append NULL + 1 to the
      string buffer when parsing lines without text in
      gst/subparse/tmplayerparse.c.
  * Stop ignoring build test failures on amd64, arm64, ppc64el

 -- Jeremy Bícha <jbicha@debian.org>  Thu, 13 Nov 2025 11:58:14 -0500

gst-plugins-base1.0 (1.18.4-2+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2024-47538: A stack-buffer overflow has been detected
    in the `vorbis_handle_identification_packet`
    function within `gstvorbisdec.c`
  * Fix CVE-2024-47541: An OOB-write vulnerability has been
    identified in the gst_ssa_parse_remove_override_codes
    function of the gstssaparse.c file.
  * Fix CVE-2024-47542: A null pointer dereference has been
    discovered in the id3v2_read_synch_uint function, located
    in id3v2.c
  * Fix CVE-2024-47600: An OOB-read vulnerability has been
    detected in the format_channel_mask function in
    gst-discoverer.c
  * Fix CVE-2024-47607: A stack-buffer overflow has been
    detected in the gst_opus_dec_parse_header function
    within `gstopusdec.c'.
  * Fix CVE-2024-47615: An OOB-Write has been detected
    in the function gst_parse_vorbis_setup_packet within
    vorbis_parse.c.
  * Fix CVE-2024-47835: A null pointer dereference vulnerability
    has been detected in the parse_lrc function within
    gstsubparse.c

 -- Bastien Roucariès <rouca@debian.org>  Sat, 21 Dec 2024 15:58:38 +0000

gst-plugins-base1.0 (1.18.4-2+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * exiftag: Prevent integer overflows and out of bounds reads when handling
    undefined tags (CVE-2024-4453)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 May 2024 11:31:34 +0200

gst-plugins-base1.0 (1.18.4-2+deb11u1) bullseye-security; urgency=medium

  * GST-2023-0001 GST-2023-0002

 -- Moritz Mühlenhoff <moritz@wikimedia.org>  Thu, 29 Jun 2023 18:09:27 +0200

gst-plugins-base1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:46:32 +0300

gst-plugins-base1.0 (1.18.4-1) experimental; urgency=medium

  [ Marc Leeman ]
  * New upstream version 1.18.4

  [ Sebastian Dröge ]
  * Upload to experimental.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:20:42 +0300

gst-plugins-base1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:45:26 +0200

gst-plugins-base1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:03:11 +0200

gst-plugins-base1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #972937).
  * debian/control:
    + Add dependency on libwayland-dev on Linux (Closes: #970324).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2020 17:14:05 +0200
